[@lancedb/lancedb](../README.md) / [Exports](../modules.md) / embedding

# Namespace: embedding

## Table of contents

### Classes

- [OpenAIEmbeddingFunction](../classes/embedding.OpenAIEmbeddingFunction.md)

### Interfaces

- [EmbeddingFunction](../interfaces/embedding.EmbeddingFunction.md)

### Functions

- [isEmbeddingFunction](embedding.md#isembeddingfunction)

## Functions

### isEmbeddingFunction

▸ **isEmbeddingFunction**\<`T`\>(`value`): value is EmbeddingFunction\<T\>

Test if the input seems to be an embedding function

#### Type parameters

| Name |
| :------ |
| `T` |

#### Parameters

| Name | Type |
| :------ | :------ |
| `value` | `unknown` |

#### Returns

value is EmbeddingFunction\<T\>

#### Defined in

[embedding/embedding_function.ts:66](https://github.com/lancedb/lancedb/blob/9d178c7/nodejs/lancedb/embedding/embedding_function.ts#L66)
